ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bode...@apache.org
Subject svn commit: r704362 - /ant/core/trunk/xdocs/faq.xml
Date Tue, 14 Oct 2008 07:49:22 GMT
Author: bodewig
Date: Tue Oct 14 00:49:22 2008
New Revision: 704362

URL: http://svn.apache.org/viewvc?rev=704362&view=rev
Log:
Ant 1.7.1 requires Java 1.3+

Modified:
    ant/core/trunk/xdocs/faq.xml

Modified: ant/core/trunk/xdocs/faq.xml
URL: http://svn.apache.org/viewvc/ant/core/trunk/xdocs/faq.xml?rev=704362&r1=704361&r2=704362&view=diff
==============================================================================
--- ant/core/trunk/xdocs/faq.xml (original)
+++ ant/core/trunk/xdocs/faq.xml Tue Oct 14 00:49:22 2008
@@ -241,8 +241,32 @@
         <p>If only the JRE is present but not a full JDK then many
           tasks will not work.</p>
 
-        <p>Ant 1.6.* works with jdk 1.2 and higher, Ant 1.1 to Ant
-          1.5.* work with jdk 1.1 and higher.</p>
+        <p>The following table lists the minimum Java versions
+          required to compile and run Ant.  Note that most committers
+          work with more recent versions of the JDK and that Ant doesn't
+          get tested much for older versions.</p>
+
+        <table>
+          <tr>
+            <th>Ant Version</th>
+            <th>Minimum Java Version</th>
+          </tr>
+
+          <tr>
+            <td>1.1 up to 1.5.4</td>
+            <td>1.1</td>
+          </tr>
+
+          <tr>
+            <td>1.6.0 up to 1.7.0</td>
+            <td>1.2</td>
+          </tr>
+          
+          <tr>
+            <td>1.7.1 up to the current svn trunk</td>
+            <td>1.3</td>
+          </tr>
+        </table>
       </answer>
     </faq>
 



Mime
View raw message